Skip to content
LogoLogo

Create a personal API token for the current Workspace

Create a personal API token for the current Workspace

POST/api/v1/me/api-tokens

Creates an expiring, Workspace-bound token for non-interactive API and CLI use. The raw secret is returned exactly once in this response and must not be persisted by a browser or embedded in a URL. Recent authentication is required.

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

Request Body

application/json
nameRequired
string·min 1·max 100
scopesRequired
string[]·min 1·max 3
Values
assign:readassign:writeassign:discuss
expires_at
string <date-time>

RFC 3339 timestamp in UTC.

Example2026-08-15T12:00:00Z

Responses